module RailsLazyCommands

  def log(message=nil, args={})
    Rails.logger.debug(print_message(message, args))
  end

  def clear
    Rails.cache.clear
  end

  def today
    Date.current
  end

  def now
    Time.current
  end

  private

  def print_message(message, args)
    "#{ args.fetch(:evidence, '=================') } #{message || 'log'}"
  end


end

module Kernel
  include RailsLazyCommands
end

class Object
  include Kernel
end